group "MarginDetails.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 4 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
markToMarket?, independentAmount?, marginTerm?, collateral?

Content Model Elements (4):

  collateral (defined in MarginDetails.model group), independentAmount (defined in MarginDetails.model group), | marginTerm, markToMarket

Known Usage Locations

- In definitions of global complexTypes (2):
  MarginCallStatus, RequestMargin

XML Source (see within schema source)

<xsd:group name="MarginDetails.model"> <xsd:sequence> <xsd:element minOccurs="0" name="markToMarket" type="MarkToMarket"/> <xsd:element minOccurs="0" name="independentAmount" type="AggregatedIndependentAmount"/> <xsd:element minOccurs="0" name="marginTerm" type="MarginTerm"/> <xsd:element minOccurs="0" name="collateral" type="CollateralBalance"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
collateral

  Type: | CollateralBalance, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="collateral" type="CollateralBalance"/>

independentAmount

  Type: | AggregatedIndependentAmount, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="independentAmount" type="AggregatedIndependentAmount"/>

marginTerm

  Type: | MarginTerm, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="marginTerm" type="MarginTerm"/>

markToMarket

  Type: | MarkToMarket, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="markToMarket" type="MarkToMarket"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.